Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360888 - gluster bash completion leaks TOP=0 into the environment
Summary: gluster bash completion leaks TOP=0 into the environment
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: cli
Version: 3.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1425325
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 17:40 UTC by Richard W.M. Jones
Modified: 2018-08-17 18:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1425325 (view as bug list)
Environment:
Last Closed: 2017-11-07 11:36:25 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Richard W.M. Jones 2016-07-27 17:40:46 UTC
Description of problem:

On my machine I have a bash shell variable called "TOP" defined:

$ echo $TOP
0

(Note this is not an environment variable).  This breaks
various things, in this case the lowRISC initialization script.

The variable comes from gluster bash completion script
/etc/bash_completion.d/gluster

Version-Release number of selected component (if applicable):

glusterfs-cli-3.8.0-0.2.rc2.fc24.x86_64

How reproducible:

100%

Steps to Reproduce:
1. echo $TOP

Comment 1 Niels de Vos 2016-09-12 05:37:16 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 2 Anoop C S 2017-02-21 06:16:52 UTC
(In reply to Richard W.M. Jones from comment #0)
> Description of problem:
> 
> On my machine I have a bash shell variable called "TOP" defined:
> 
> $ echo $TOP
> 0
> 
> (Note this is not an environment variable).  This breaks
> various things, in this case the lowRISC initialization script.
> 

Can you please direct towards this initialization script?

And how severe is the issue?

> The variable comes from gluster bash completion script
> /etc/bash_completion.d/gluster
> 
> Version-Release number of selected component (if applicable):
> 
> glusterfs-cli-3.8.0-0.2.rc2.fc24.x86_64
> 
> How reproducible:
> 
> 100%
> 
> Steps to Reproduce:
> 1. echo $TOP

Comment 3 Richard W.M. Jones 2017-02-21 08:26:22 UTC
(In reply to Anoop C S from comment #2)
> Can you please direct towards this initialization script?

As stated in the original description:

  /etc/bash_completion.d/gluster

from the package glusterfs-cli.  In the source, this file is
called extras/command-completion/gluster.bash

> And how severe is the issue?

Annoying more than severe.  However it prevents building all
the RISC-V upstream software.

Comment 4 Niels de Vos 2017-02-21 08:37:39 UTC
It looks like "TOP" is not the only variable that leaks:

From <glusterfs.git>/extras/command-completion/gluster.bash:
285 declare FINAL_LIST=''
286 declare LIST=''
287 declare -i TOP=0

Comment 5 Niels de Vos 2017-11-07 10:36:36 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.

Comment 6 Richard W.M. Jones 2017-11-07 11:07:17 UTC
WTF?  Please fix your bugs.

Comment 7 Niels de Vos 2017-11-07 11:36:25 UTC
(In reply to Richard W.M. Jones from comment #6)
> WTF?  Please fix your bugs.

There will not be any updates to the 3.8 version. Bug 1425325 has already been opened to get the fix in other maintained versions. Sorry for the confusion, maybe the comment should mention to check or look at bugs that are marked in the 'depends on' field.


Note You need to log in before you can comment on or make changes to this bug.